import { IDataType } from './util';
export declare const MAX_HEAP: number;
declare type ThenArg<T> = T extends Promise<infer U> ? U : T extends ((...args: any[]) => Promise<infer V>) ? V : T;
export declare type IHasher = {
    init: () => IHasher;
    update: (data: IDataType) => IHasher;
    digest: {
        (outputType: 'binary'): Uint8Array;
        (outputType?: 'hex'): string;
    };
    blockSize: number;
    digestSize: number;
};
export declare function WASMInterface(binary: any, hashLength: number): Promise<{
    getMemory: () => Uint8Array;
    writeMemory: (data: Uint8Array, offset?: number) => void;
    getExports: () => any;
    setMemorySize: (totalSize: number) => void;
    init: (bits?: number) => void;
    update: (data: IDataType) => void;
    digest: (outputType: 'hex' | 'binary', padding?: number) => Uint8Array | string;
    calculate: (data: IDataType, initParam?: any, digestParam?: any) => string;
    hashLength: number;
}>;
export declare type IWASMInterface = ThenArg<ReturnType<typeof WASMInterface>>;
export {};
