import { IDataType } from './util';
export interface IArgon2Options {
    password: IDataType;
    salt: IDataType;
    iterations: number;
    parallelism: number;
    memorySize: number;
    hashLength: number;
    outputType?: 'hex' | 'binary' | 'encoded';
}
interface IArgon2OptionsBinary {
    outputType: 'binary';
}
declare type Argon2ReturnType<T> = T extends IArgon2OptionsBinary ? Uint8Array : string;
export declare function argon2i<T extends IArgon2Options>(options: T): Promise<Argon2ReturnType<T>>;
export declare function argon2id<T extends IArgon2Options>(options: T): Promise<Argon2ReturnType<T>>;
export declare function argon2d<T extends IArgon2Options>(options: T): Promise<Argon2ReturnType<T>>;
export interface Argon2VerifyOptions {
    password: IDataType;
    hash: string;
}
export declare function argon2Verify(options: Argon2VerifyOptions): Promise<boolean>;
export {};
