import { IDataType } from './util';
export interface BcryptOptions {
    password: IDataType;
    salt: IDataType;
    costFactor: number;
    outputType?: 'hex' | 'binary' | 'encoded';
}
interface IBcryptOptionsBinary {
    outputType: 'binary';
}
declare type BcryptReturnType<T> = T extends IBcryptOptionsBinary ? Uint8Array : string;
export declare function bcrypt<T extends BcryptOptions>(options: T): Promise<BcryptReturnType<T>>;
export interface BcryptVerifyOptions {
    password: IDataType;
    hash: string;
}
export declare function bcryptVerify(options: BcryptVerifyOptions): Promise<boolean>;
export {};
