import { IHasher } from './WASMInterface';
import { IDataType } from './util';
export interface IPBKDF2Options {
    password: IDataType;
    salt: IDataType;
    iterations: number;
    hashLength: number;
    hashFunction: Promise<IHasher>;
    outputType?: 'hex' | 'binary';
}
interface IPBKDF2OptionsBinary {
    outputType: 'binary';
}
declare type PBKDF2ReturnType<T> = T extends IPBKDF2OptionsBinary ? Uint8Array : string;
export declare function pbkdf2<T extends IPBKDF2Options>(options: T): Promise<PBKDF2ReturnType<T>>;
export {};
