import { IDataType } from './util';
export interface ScryptOptions {
    password: IDataType;
    salt: IDataType;
    costFactor: number;
    blockSize: number;
    parallelism: number;
    hashLength: number;
    outputType?: 'hex' | 'binary';
}
interface IScryptOptionsBinary {
    outputType: 'binary';
}
declare type ScryptReturnType<T> = T extends IScryptOptionsBinary ? Uint8Array : string;
export declare function scrypt<T extends ScryptOptions>(options: T): Promise<ScryptReturnType<T>>;
export {};
